Package org.apache.calcite.avatica.remote

# Class Service.ResultSetResponse

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Response
org.apache.calcite.avatica.remote.Service.ResultSetResponse

Enclosing interface:
  Service

public static class Service.ResultSetResponse extends Service.Response
Response that contains a result set.

Regular result sets have `updateCount` -1; any other value means a dummy result set that is just a count, and has no signature and no other data.

Several types of request, including `Meta.getCatalogs(Meta.ConnectionHandle)` and `Meta.getSchemas(Meta.ConnectionHandle, String, org.apache.calcite.avatica.Meta.Pat)` `Meta.getTables(Meta.ConnectionHandle, String, Meta.Pat, Meta.Pat, List)` `Meta.getTableTypes(Meta.ConnectionHandle)` return this response.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`connectionId`
`final Meta.Frame`
`firstFrame`
`final boolean`
`ownStatement`
`final Service.RpcMetadataResponse`
`rpcMetadata`
`final Meta.Signature`
`signature`
`final int`
`statementId`
`final long`
`updateCount`

## Constructor Summary

Constructors
Constructor
Description
`ResultSetResponse(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount, Service.RpcMetadataResponse rpcMetadata)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connectionId

public final String connectionId

### statementId

public final int statementId

### ownStatement

public final boolean ownStatement

### signature

public final Meta.Signature signature

### firstFrame

public final Meta.Frame firstFrame

### updateCount

public final long updateCount

### rpcMetadata

public final Service.RpcMetadataResponse rpcMetadata

## Constructor Details

### ResultSetResponse

public ResultSetResponse(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount, Service.RpcMetadataResponse rpcMetadata)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`